# Changelog

## Release Version 1.1
- Echobox
	- Check whether the message is already in the database
	- Make sure it doesn't say what was just added
	- Prevent adding `@everyone` or other mentions to the echobox
- Change shutdown message to reaction
- Update MOTD to support exact dates
- Optional startup message supplied by program args
- New aliases
	- `?illuminati`
	- `?communism`
	- `?tufac` lol
	- `?mrkrabs` (ack ack ack ack ack)
	- `?coolsville`
	- `?cube`
	- `?opinions`
- Respond to `@everyone` with the Caesar pic
- Gaming functions:
	- `?dice` - Rolls a 6-sided die (default) or takes input on size
	- `?coin` - Flips a coin (default) or takes input on number of coins to flip
	- `?8ball` - Standard "fortune telling"
	- Fix issue if user doesn't have a nickname set
- Add new file saving queue system
- Update `?help` with new features
	- Use Embed Builder for nicer-looking display

## Release Version 1.0 (Minimum Viable Product)
- Save / Load settings from file
	- Git repo that excludes settings file and export / reference folders
- Safe shutdown of bot
- Dev Mode (OQM ignores everything outside of the testing server)
- A way to set up which channels get posted to
- Command processor
	- System for WIP commands that only work in testing server
	- `?help` command which lists full bot functionality
	- `?chk` (ack)
	- `?devmode` toggle
	- `?hug` image database
	- `?yes` database
	- `?no` database
	- `?slap` command from mIRC
	- `?angery`
	- `?subway`
- MOTD framework and image database
- Automatic *"ICE"* response